<template>
  <div class="whoweare-bg">
    <div
      :class="
        $vuetify.breakpoint.mdAndDown
          ? 'new_section pt-2'
          : 'new_section pt-10 pb-12'
      "
    >
      <v-container
        fluid
        :class="$vuetify.breakpoint.smAndDown ? 'pr-1 pl-1' : 'pr-12 pl-12'"
      >
        <v-row :class="$vuetify.breakpoint.mdAndDown ? 'mt-8' : 'mt-140'">
          <v-col cols="12" lg="6">
            <v-row>
              <v-col cols="12" md="6">
                <v-card
                  v-scrollAnime
                  rounded
                  class="mx-auto rounded-xl white--text elevation-0"
                  color="deep-orange lighten-2"
                  height="240px"
                  nuxt
                  :to="localePath('/product/cms')"
                >
                  <h2 class="white--text text-center pt-12 pr-4 pl-4">
                    {{ $t('introduce.list[0].title') }}
                  </h2>
                </v-card>
              </v-col>
              <v-col cols="12" md="6">
                <v-card
                  v-scrollAnime
                  rounded
                  class="mx-auto rounded-xl white--text elevation-0"
                  color="#f3d63f"
                  height="240px"
                  nuxt
                  :to="localePath('/solutions/vtp')"
                >
                  <v-row>
                    <v-col class="mb-0 pb-0">
                      <p
                        :class="
                          $vuetify.breakpoint.smAndDown
                            ? 'pt-1 text-h5 font-weight-bold pr-4'
                            : 'pt-2 text-h5 font-weight-bold pr-4'
                        "
                      >
                        {{ $t('introduce.list[1].title') }}
                      </p>
                    </v-col>
                    <v-col class="d-none d-sm-flex mb-0 pb-0">
                      <v-img
                        v-scrollAnime
                        :src="require('../../assets/images/home/iot.svg')"
                        :srcset="require('../../assets/images/home/iot.svg')"
                        :lazy-src="require('../../assets/images/home/iot.svg')"
                        class="rounded-xl white--text align-start"
                        height="240px"
                        contain
                        :position="
                          $vuetify.breakpoint.smAndDown
                            ? 'bottom left'
                            : 'center center'
                        "
                      >
                      </v-img>
                    </v-col>
                  </v-row>
                </v-card>
              </v-col>
              <v-col cols="12">
                <v-card
                  v-scrollAnime
                  rounded
                  class="mx-auto rounded-xl white--text elevation-0"
                  color="#a0cfd5"
                  height="240px"
                  nuxt
                  :to="localePath('/solutions/monitoring')"
                >
                  <v-card-subtitle
                    class="white--text text-center justify-center font-weight-bold text-h6 pt-7"
                  >
                    {{ $t('introduce.list[2].title') }}
                  </v-card-subtitle>
                  <v-img
                    v-if="$vuetify.breakpoint.smAndUp"
                    v-scrollAnime
                    max-height="150"
                    :src="require('../../assets/images/home/monit.svg')"
                    :srcset="require('../../assets/images/home/monit.svg')"
                    :lazy-src="require('../../assets/images/home/monit.svg')"
                    class="d-flex rounded-xl white--text"
                    height="240px"
                    contain
                  >
                  </v-img>
                </v-card>
              </v-col>
            </v-row>
          </v-col>
          <v-col cols="12" lg="6">
            <v-row>
              <v-col cols="12">
                <v-card
                  rounded
                  class="d-flex flex-column justify-center align-center elevation-0 rounded-xl"
                  color="#67c0e7"
                  height="504px"
                  nuxt
                  :to="localePath('/product/htm')"
                >
                  <div class="pt-9 pr-4 pl-4">
                    <p class="text-h5 font-weight-bold text-center white--text">
                      ارائه خدمات و راهکارهای مبتنی بر
                    </p>
                    <p
                      class="text-h5 font-weight-bold text-center pt-4 white--text"
                    >
                      Waf, Load Balancing, SSL Offloading
                    </p>
                  </div>
                  <v-img
                    v-if="$vuetify.breakpoint.smAndUp"
                    v-scrollAnime
                    :src="require('../../assets/images/home/serverdone1.png')"
                    :srcset="require('../../assets/images/home/serverdone1.png')"
                    :lazy-src="require('../../assets/images/home/serverdone1.png')"
                    max-width="400"
                    contain
                  >
                  </v-img>
                </v-card>
              </v-col>
            </v-row>
          </v-col>
        </v-row>
        <!-- 2 -->
        <v-row class="pb-12">
          <v-col cols="12" lg="6" class="pt-0 mt-0">
            <v-row>
              <v-col cols="12">
                <v-card
                  rounded
                  class="d-flex flex-column justify-center align-center elevation-0 rounded-xl"
                  color="#298f9a"
                  height="504px"
                >
                  <p class="pa-8 text-center white--text text-h5 font-weight-bold">
                    {{ $t('introduce.list[4].title') }}
                  </p>
                  <v-img
                    v-if="$vuetify.breakpoint.mdAndUp"
                    v-scrollAnime
                    :src="require('../../assets/images/home/devops.svg')"
                    :srcset="require('../../assets/images/home/devops.svg')"
                    :lazy-src="require('../../assets/images/home/devops.svg')"
                    class="rounded-xl"
                    width="270"
                    contain
                  >
                  </v-img>
                </v-card>
              </v-col>
            </v-row>
          </v-col>
          <v-col cols="12" lg="6" class="pt-0 mt-0">
            <v-row>
              <v-col cols="12">
                <v-card
                  v-scrollAnime
                  rounded
                  class="mx-auto rounded-xl white--text elevation-0"
                  color="#293778"
                  height="240px"
                >
                  <v-card-subtitle
                    class="white--text text-center justify-center font-weight-bold text-h6 pt-7"
                  >
                    {{ $t('introduce.list[5].title') }}
                  </v-card-subtitle>
                  <v-img
                    v-if="$vuetify.breakpoint.smAndUp"
                    v-scrollAnime
                    max-height="150"
                    :src="require('../../assets/images/home/shield.svg')"
                    :srcset="require('../../assets/images/home/shield.svg')"
                    :lazy-src="require('../../assets/images/home/shield.svg')"
                    class="d-flex rounded-xl white--text"
                    height="240px"
                    contain
                  >
                  </v-img>
                </v-card>
              </v-col>
              <v-col cols="12" md="6">
                <v-card
                  v-scrollAnime
                  rounded
                  class="elevation-0 rounded-xl"
                  color="light-blue lighten-4 darken-1 elevation-0"
                  height="240px"
                >
                  <v-img
                    v-scrollAnime
                    :src="require('../../assets/images/home/monitoring.jpg')"
                    :srcset="require('../../assets/images/home/monitoring.jpg')"
                    :lazy-src="require('../../assets/images/home/monitoring.jpg')"
                    class="rounded-xl white--text align-start"
                    height="240px"
                  >
                    <v-card-title class="justify-center">
                      <p class="text-center pt-1 text-h6 font-weight-bold">
                        {{ $t('introduce.list[6].title') }}
                      </p>
                    </v-card-title>
                  </v-img>
                </v-card>
              </v-col>
              <v-col cols="12" md="6">
                <v-card
                  v-scrollAnime
                  rounded
                  class="d-flex flex-column mx-auto justify-center align-center rounded-xl white--text elevation-0"
                  color="#4e5d6c"
                  height="240px"
                  nuxt
                  :to="localePath('/solutions/dba')"
                >
                  <v-card-title class="justify-center">
                    <p class="pt-1 text-h6 font-weight-bold">
                      {{ $t('introduce.list[7].title') }}
                    </p>
                  </v-card-title>
                  <v-img
                    v-scrollAnime
                    :src="require('../../assets/images/home/dba.svg')"
                    :srcset="require('../../assets/images/home/dba.svg')"
                    :lazy-src="require('../../assets/images/home/dba.svg')"
                    class="rounded-xl white--text"
                    max-width="240"
                    contain
                  >
                  </v-img>
                </v-card>
              </v-col>
            </v-row>
          </v-col>
        </v-row>
      </v-container>
    </div>
  </div>
</template>
<script>
export default {
  name: 'WhoWeAre',
};
</script>
